Skip to content

查询vos话单列表

接口信息

  • 接口: /agent-api/vos/{user_id}/get_call_record
  • 请求方式: GET

路由参数

参数类型示例解释必填
user_idstring5832d184-dd53-42a0-8ace-0bf8d660f4cc用户id

请求参数

参数类型示例解释必填
timedate"2022-12-01"日期,默认查询前一天数据
phonestring"123123123"主叫号码
callee_phonestring"56765345"被叫号码
vos_account_idint10vos账号id,不传默认查询第一个账号

请求示例

cURL
curl -X GET "https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record?time=2022-12-01&phone=123123123&callee_phone=56765345&vos_account_id=10" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN"
Go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    client := &http.Client{}
    req, err := http.NewRequest("GET", "https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record?time=2022-12-01&phone=123123123&callee_phone=56765345&vos_account_id=10", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Add("Content-Type", "application/json")
    req.Header.Add("Authorization", "Bearer YOUR_TOKEN")

    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
JavaScript
const axios = require('axios');

axios.get('https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record', {
    params: {
        time: '2022-12-01',
        phone: '123123123',
        callee_phone: '56765345',
        vos_account_id: 10
    },
    headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer YOUR_TOKEN'
    }
})
.then(response => {
    console.log(response.data);
})
.catch(error => {
    console.error(error);
});
Java
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Main {
    public static void main(String[] args) throws Exception {
        URL url = new URL("https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record?time=2022-12-01&phone=123123123&callee_phone=56765345&vos_account_id=10");
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        conn.setRequestMethod("GET");
        conn.setRequestProperty("Content-Type", "application/json");
        conn.setRequestProperty("Authorization", "Bearer YOUR_TOKEN");

        BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream()));
        String line;
        StringBuilder response = new StringBuilder();
        while ((line = br.readLine()) != null) {
            response.append(line);
        }
        br.close();
        System.out.println(response.toString());
    }
}
PHP
<?php

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => "https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record?time=2022-12-01&phone=123123123&callee_phone=56765345&vos_account_id=10",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Content-Type: application/json",
        "Authorization: Bearer YOUR_TOKEN"
    ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
Python
import requests

url = "https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record"
params = {
    "time": "2022-12-01",
    "phone": "123123123",
    "callee_phone": "56765345",
    "vos_account_id": 10
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
}

response = requests.get(url, params=params, headers=headers)
print(response.json())
C++
#include <iostream>
#include <curl/curl.h>

size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
    ((std::string*)userp)->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl;
    CURLcode res;
    std::string readBuffer;

    curl = curl_easy_init();
    if(curl) {
        curl_easy_setopt(curl, CURLOPT_URL, "https://ai.api.longlonglong.cn/agent-api/vos/5832d184-dd53-42a0-8ace-0bf8d660f4cc/get_call_record?time=2022-12-01&phone=123123123&callee_phone=56765345&vos_account_id=10");
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Content-Type: application/json");
        headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);
        res = curl_easy_perform(curl);
        curl_easy_cleanup(curl);
        std::cout << readBuffer << std::endl;
    }
    return 0;
}

返回参数

json
{
    "code": 200,
    "status": "success",
    "message": "查询话单列表成功",
    "data": [
        {
            "phone": "123123123123",
            "callee_phone": "456456456456",
            "start_time": "2022-12-15 09:08:44",
            "end_time": "2022-12-15 09:08:44",
            "hold_time": "00:00:00",
            "fee": 0,
            "call_level_text": "国内长途",
            "customer_name": "vos",
            "customer_account": "12312312"
        }
    ]
}

基于 MIT 许可发布